/**
 * Copyright 2018 Alexander Sychev
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
/** Binary number system radix value */
export declare const BINARY_RADIX: number;
/** Hex number system radix value */
export declare const HEX_RADIX: number;
/** Decimal number system radix value */
export declare const DECIMAL_RADIX: number;
/** Minimal available radix value */
export declare const MIN_RADIX_VALUE: number;
/** Maximal available radix value */
export declare const MAX_RADIX_VALUE: number;
/** Returns "true" if numeric value is correct radix value */
export declare function isRadixValue(radix: number): boolean;
/** Common function to convert value from one positional system to another */
export declare function convert(value: number | string, from: number, to: number): string;
